GNU bug report logs - #42816
[PATCH] guix-install.sh: Add support for openrc

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Morgan.J.Smith@HIDDEN; Keywords: fixed patch; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.
bug closed, send any further explanations to 42816 <at> debbugs.gnu.org and Morgan.J.Smith@HIDDEN Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 42816 <at> debbugs.gnu.org:


Received: (at 42816) by debbugs.gnu.org; 17 Sep 2020 12:13:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 17 08:13:14 2020
Received: from localhost ([127.0.0.1]:37473 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kIsmn-00037J-T8
	for submit <at> debbugs.gnu.org; Thu, 17 Sep 2020 08:13:14 -0400
Received: from tobias.gr ([80.241.217.52]:38224)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1kIsml-000379-2D
 for 42816 <at> debbugs.gnu.org; Thu, 17 Sep 2020 08:13:12 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tobias.gr; s=2018;
 bh=a9m98081JaABrC3i5adttfEG7oWx28q/iG0YW8ACnsE=; h=date:subject:to:
 from; b=KmderqbrW+TIml/I+zBtVUoSGImnV8sExyo4d7I9Lz1qO33kmTTO+BeNkN+YeX
 Sg1RxN9BGP0YaexguvDTS/TWU+4yOMpPlnJXjszGl6SsSI7kKgwX8aCir4lQgo2w1/ZDNk
 P0356bBkuC5zno78xcLuRxU7RaRlC/O50NRXLIHULDLrcnvsp//SL1Sq/ZdpIc6kULAs5V
 8RXCwXSQaKyJsp/QwwQJnLu5WFfBDVJ48QVqLWWqZVLPfu3lzQsIdzOydnZoQEi0NKq+If
 GFblK+wvLARMDH/po3ita4l3bK7AVX1KM+hn8XKqVDNDdEyZCW6SIMczHDfTGOSEUZ2IJQ
 ==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id bd5791d7
 (TLSv1.2:ECDHE-ECDSA-AES256-GCM-SHA384:256:NO)
 for <42816 <at> debbugs.gnu.org>; Thu, 17 Sep 2020 12:13:10 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: 42816 <at> debbugs.gnu.org
Subject: [PATCH] guix-install.sh: Add support for openrc
Date: Thu, 17 Sep 2020 14:13:21 +0200
Message-ID: <87k0wszjmm.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42816
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; format=flowed

Morgan, civodul,

> Tobias, I think these patches fell through the cracks.

I think so too.  Thanks for your patience, Morgan, and enjoy 
commits cabac732 et al.

Closing,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCX2NS4Q0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15r88BAPT10rB1lF8oBHC10NB8oTaijt/ezb19tEBDPUps
xdLFAQDIp4p1tf1vl2vkfZvLIZKyON4xPJU3Nioun4KLjmm3Aw==
=Ya3R
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#42816; Package guix-patches. Full text available.

Message received at 42816 <at> debbugs.gnu.org:


Received: (at 42816) by debbugs.gnu.org; 4 Sep 2020 08:58:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 04 04:58:05 2020
Received: from localhost ([127.0.0.1]:37262 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kE7Xp-0008Uj-Ho
	for submit <at> debbugs.gnu.org; Fri, 04 Sep 2020 04:58:05 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44692)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1kE7Xn-0008U3-4A
 for 42816 <at> debbugs.gnu.org; Fri, 04 Sep 2020 04:58:03 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55341)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1kE7Xg-0007va-B3; Fri, 04 Sep 2020 04:57:56 -0400
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=46390 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1kE7Xf-0001y1-Mg; Fri, 04 Sep 2020 04:57:56 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Morgan.J.Smith@HIDDEN
Subject: Re: [bug#42816] [PATCH 1/2] guix-install.sh: Increase compatibility
References: <87r1sc98m8.fsf@nckx>
 <DM5PR1001MB2105731ADDB371A895D7FCDDC5420@HIDDEN>
Date: Fri, 04 Sep 2020 10:57:50 +0200
In-Reply-To: <DM5PR1001MB2105731ADDB371A895D7FCDDC5420@HIDDEN>
 (Morgan J. Smith's message of "Tue, 11 Aug 2020 23:38:41 -0400")
Message-ID: <87363xx6k1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42816
Cc: me@HIDDEN, 42816 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi!

Morgan.J.Smith@HIDDEN skribis:

> From: Morgan Smith <Morgan.J.Smith@HIDDEN>
>
> These fixes allow the script to be run using the binaries found on Alpine
> Linux 3.12.0-x86_64.
>
> * etc/guix-install.sh (guix_get_bin_list): Change grep to use extended re=
gex
> instead of perl regex. Grep using extended regex is POSIX while grep using
> perl regex is not.
>
> * etc/guix-install.sh (sys_create_store): Remove --warning flag as it is
> unavailable on Alpine Linux

[...]

> From: Morgan Smith <Morgan.J.Smith@HIDDEN>
>
> ---
> Oops, please merge this patch with the last one. My bad
>
>  etc/openrc/guix-daemon.in | 28 ++++++++++++++++++++++++++++

Tobias, I think these patches fell through the cracks.  Could you apply
them if everything looks good to you?  :-)

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#42816; Package guix-patches. Full text available.

Message received at 42816 <at> debbugs.gnu.org:


Received: (at 42816) by debbugs.gnu.org; 18 Aug 2020 20:52:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 18 16:52:41 2020
Received: from localhost ([127.0.0.1]:37173 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k88b3-0000gJ-6s
	for submit <at> debbugs.gnu.org; Tue, 18 Aug 2020 16:52:41 -0400
Received: from tobias.gr ([80.241.217.52]:34558)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>)
 id 1k88ay-0000fx-Qn; Tue, 18 Aug 2020 16:52:38 -0400
Received: by tobias.gr (OpenSMTPD) with ESMTP id fbe722da;
 Tue, 18 Aug 2020 20:53:00 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to
 :subject:cc:date:message-id:mime-version:content-type; s=2018;
 i=me@HIDDEN; bh=UPr5Su2PP8D/Bluq6HcswVs3CB1vQGkb/hlv3rdoVUE=; b=
 Q6unbsXdqgwBfI1UuKanlh+Ak6NBZZEGIY+MTrWRXrUWKPV9eNo9ySkPWSsiPag/
 VFVYJ18sgFfibk0b99glXGU8ylty/F/2naJRFJ5Skby4rn3tqyW6Qhk/AIVC+GBp
 EH1jyG/GhQI547Zjmhik+oYOFW+LLpiDe4naJslq9W52TsYFJUwD2DEyDKp0tdM2
 Rvhwsrtfh/B2eTFE15XQCi+YSbinYDR85874ibadlPDR6QSyUB1ZjDdPFLABKICh
 4J4ktsG2QhZSe5Guge/oC/aqAycn5k8Vc9Do8N6MLyT/anocMVmbKIl8gpJXHRoR
 vvsrVs8rQCiBjwVQT25XBw==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 93eb88f1
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Tue, 18 Aug 2020 20:53:00 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: 42816 <at> debbugs.gnu.org
Subject: This is just a test
Date: Tue, 18 Aug 2020 22:52:39 +0200
Message-ID: <87y2mbwuaw.fsf@nckx>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42816
Cc: GNU bug tracker automated control server <control <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

User: guix
Usertag: notdeadjusttestin




Information forwarded to guix-patches@HIDDEN:
bug#42816; Package guix-patches. Full text available.

Message received at 42816 <at> debbugs.gnu.org:


Received: (at 42816) by debbugs.gnu.org; 12 Aug 2020 03:58:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 11 23:58:42 2020
Received: from localhost ([127.0.0.1]:42538 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k5huU-0004P9-Hq
	for submit <at> debbugs.gnu.org; Tue, 11 Aug 2020 23:58:42 -0400
Received: from mail-dm6nam08olkn2093.outbound.protection.outlook.com
 ([40.92.45.93]:51835 helo=NAM04-DM6-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Morgan.J.Smith@HIDDEN>) id 1k5huS-0004Ou-B9
 for 42816 <at> debbugs.gnu.org; Tue, 11 Aug 2020 23:58:42 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=SJZkknmTztV389ov/C/bcxtJdflr3KmPd7jcBVAKxc5e3I2nz+ulAnjhuHjHZxyIjSHWUynVAtDaIkVYpdRC3e38UyuBB7yjJsueu8kHLGIEg9XwqUdjl9+lN4JS65aBR4Ld/C0Myb4EKjlhvqqIzX+oT2wS8OT1I3lsjo5q3XvFGcQyJNaQQ2O1J2E4utLPO4+AHvQMWEnTdCQbam5H54Ijxn3NeCDA95OGto/sy++KQkDhKnIXeaIx1rbv5FgIA9fc6+70P01AmAfQj1zfLtnENBuZRMJ5gZwFlkjt/+fFWW6fk5qwEdgZPCX+A6OzLueyGthsetWcN8CHjycWlQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=zwt1qg1p/dsQYRA90LacjqeRMZEbxDZdZb2cHKY5480=;
 b=XM8sIBHF9XbQp3XMW0rxZNmC/YMkL3e+QLvDEpriUP88228YmB36srdA1IZd/k8IdJhZtUTgHap74KCoyJGg+Atg4iJBS10xxFTY20HsJMGFNbLQT9KjOh72LiuR2Gd9QcPuyWK0UZSkeCdv2EOgR5mcXUbmupfbSPuGbiD0pL5sJRBEAbsZX4l3kNJSxBNcsZPaaz60NMsGURq+uaSepF2AW8pSIcNSFUBhs1fNSIDDccwv2Xwf9w02K73hJ23hN6Z5B+vZHqyLPp5P4R0vk0NBNInMHUc9jfFNUiMvf5BTl9GzQV4lE5C5ulv9FcyLSOuRFAEoHZsS3NKqunlh2Q==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=zwt1qg1p/dsQYRA90LacjqeRMZEbxDZdZb2cHKY5480=;
 b=npeQz5KnfH/kT581/pxcvYSol2SevAqeDWhNqvGfQRGBEIBQ24ucB2DNfD5jJKIaJ8DgQZbTGjyPSB8rxiNorO3/rqPAVxu1ldxEaEGloxVD0aSlgj9wOZw9LqS5Q9Q4t/KReyz/AcQq426SgNq069DewT/H2dCGmcSy4pAfKquSj8RF3XBI44Nvzh6je628ap1ExZ95Wy7jaox6v3KD4jCF2jb3BKx7U9AQFxQn1Q3//PMY+i16KyFEqzX4hellZuWhnkyUGzaeUTo7xbb27CjRHeoKw87Ab1YrpuD6iUKbP+uDBUAk/R3wQSnUftp3kGn1iN4h33PfIR9+XhCYvw==
Received: from DM6NAM04FT061.eop-NAM04.prod.protection.outlook.com
 (2a01:111:e400:7ea3::4b) by
 DM6NAM04HT237.eop-NAM04.prod.protection.outlook.com (2a01:111:e400:7ea3::444)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3261.16; Wed, 12 Aug
 2020 03:58:32 +0000
Received: from DM5PR1001MB2105.namprd10.prod.outlook.com
 (2a01:111:e400:7ea3::40) by DM6NAM04FT061.mail.protection.outlook.com
 (2a01:111:e400:7ea3::320) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3283.16 via Frontend
 Transport; Wed, 12 Aug 2020 03:58:32 +0000
X-IncomingTopHeaderMarker: OriginalChecksum:8BDCBE5881136275FF562A1E2587A1BD11BDE9980FE2B4C706894830D5691069;
 UpperCasedChecksum:7FED03B31AC007451AEFFC9BDC27ABCC21B1040367E711B272A48E8F73A203F5;
 SizeAsReceived:8613; Count:47
Received: from DM5PR1001MB2105.namprd10.prod.outlook.com
 ([fe80::cc1a:65a6:d74d:52f4]) by DM5PR1001MB2105.namprd10.prod.outlook.com
 ([fe80::cc1a:65a6:d74d:52f4%6]) with mapi id 15.20.3283.015; Wed, 12 Aug 2020
 03:58:32 +0000
From: Morgan.J.Smith@HIDDEN
To: me@HIDDEN
Subject: [PATCH 3/2] Oops, please merge this patch with the last one. My bad
Date: Tue, 11 Aug 2020 23:58:08 -0400
Message-ID: <DM5PR1001MB2105EBEFD116D4E65C55C7FAC5420@HIDDEN>
X-Mailer: git-send-email 2.28.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-ClientProxiedBy: YTOPR0101CA0008.CANPRD01.PROD.OUTLOOK.COM
 (2603:10b6:b00:15::21) To DM5PR1001MB2105.namprd10.prod.outlook.com
 (2603:10b6:4:2b::24)
X-Microsoft-Original-Message-ID: <20200812035808.100328-1-Morgan.J.Smith@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
Received: from workarch.localdomain (184.164.26.34) by
 YTOPR0101CA0008.CANPRD01.PROD.OUTLOOK.COM (2603:10b6:b00:15::21) with
 Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3283.15 via Frontend
 Transport; Wed, 12 Aug 2020 03:58:31 +0000
X-Mailer: git-send-email 2.28.0
X-Microsoft-Original-Message-ID: <20200812035808.100328-1-Morgan.J.Smith@HIDDEN>
X-TMN: [UPqOlgBSWRQpHYQ8w6nY1G5nwCZLxWZE]
X-MS-PublicTrafficType: Email
X-IncomingHeaderCount: 47
X-EOPAttributedMessage: 0
X-MS-Office365-Filtering-Correlation-Id: fe556dea-e1e3-483d-b935-08d83e73fa83
X-MS-Exchange-SLBlob-MailProps: 28a0PtNssKlrXn0imlk29l6DKzr6ja89gss5i1aRvXviUa55LT/OBBCfnPtQsMSivmtrhDK2D46NuRADlpYamwBL7VdC6ZncC7RpBKOzefJpjZ6LVi6TWEn4ITAzLA/pgq/n8HOkXy7373QMmLkIs4UjEH7E31BtVacK/RiRZoOhdmkZ+KteD4JjwTAgl4dHjX2Kv2Vx5TsCkkqDLqAEJ/PpOwrgTc9+3Z1kdcX2ciaNRLGAUTbG3eLtKm6jX04VtXVeV2oOhFmyMgOGP16OQkbnkKmgv/8DEKyCRSRBfzrLEFi/Cbw4EeuliPjcsSRElpAhxj1hFW2vbuWq4w8feYa+PY+abxnQYBwlMkKOtncI9htyfUf5xhvQEh+QC+rzIWa/ySrzonW8Dp8T8QjpPu5qD6Xcj/jciRBNBVIo1ZYoPHVNBaof548p3nyxsZ7AXp7FpE4Gx0jt2Uo2w8n5BEeCZqZlt4IIGXScUWdWxD07Gd69MxojGl9sYatEpRKFF7tlcnvGA9JI8g3P7pDAnWMLBfjmhcKi/vlss/SYw3/raAr4gBd9GQfdCwkFwTVo+PnFSW8BKiXBqWONzNOtZd1t0AovkyzyEZsOz5N0jk6jW9rQdv/Ghg5KbYNz+wvqwmBUD+QCy2JEti9dAnphORNLF0ZJBwGEJR0JTaDqgEoeMqo1ejlI7mXwwAsiC3Jzpg6Aqt0+MPfUab9bWP1IkQKkbLMi9eTXX1i8xBgZSj+o6m+OPmqlmy4ArQkPbFWF7ubz8RXt8QTvSdpG/3WZmv3/3fGkAFmBYZAUXFQbnd17N6ePbhDz/5zkZGYJUa8lc8wLrbDLCq93Gf3yL669xcm/lMmHhLrMO6Mg/AaFxPjYD12NnymWsV6RLUDsXPcxuQjcYIqumc8ao6pj0sWacg==
X-MS-TrafficTypeDiagnostic: DM6NAM04HT237:
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: /UyxkZ+y2/OwoIMIvVjmjDJKGFHQwFT15LwpXg3CSpXDedsBPOME/LOJa+5qcPxrDYIbxsde4WkhHB5pne4HGuqN0k+KL7OAW7GXLCzlQfltemG9iAKFues0FSORzg091ztE5kmND7pXWGYDL47qSUZosIUMbCxqnQG7nWyxmJHr1SIEYZqnP8yaLqWqBL7SUK8uxqw7i3+JBKd3SlWLuluN8njk6RhQif648Q6eKezrV+ShzVTK+0eKiw+NjHh5
X-Forefront-Antispam-Report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:0; SRV:;
 IPV:NLI; SFV:NSPM; H:DM5PR1001MB2105.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFTY:; SFS:; DIR:OUT; SFP:1901; 
X-MS-Exchange-AntiSpam-MessageData: A5X5MYuYMH6snIVs/aXaupaTxPJH9pxtNd7KQLNCO6ya9RCuyYDVyOynsPW0M31J75fjTqap9PedB+kM8fq+NmIDZmhojKyP1eJoACk+9RjAj8jhQjqAXAWjvZFN3qCmEBaZcURJQSX1CTJfDvhT4A==
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: fe556dea-e1e3-483d-b935-08d83e73fa83
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 12 Aug 2020 03:58:32.0381 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-AuthSource: DM6NAM04FT061.eop-NAM04.prod.protection.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Anonymous
X-MS-Exchange-CrossTenant-FromEntityHeader: Internet
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DM6NAM04HT237
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42816
Cc: Morgan Smith <Morgan.J.Smith@HIDDEN>, 42816 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Morgan Smith <Morgan.J.Smith@HIDDEN>

---
Oops, please merge this patch with the last one. My bad

 etc/openrc/guix-daemon.in | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)
 create mode 100644 etc/openrc/guix-daemon.in

diff --git a/etc/openrc/guix-daemon.in b/etc/openrc/guix-daemon.in
new file mode 100644
index 0000000000..110a58b88d
--- /dev/null
+++ b/etc/openrc/guix-daemon.in
@@ -0,0 +1,28 @@
+#!/sbin/openrc-run
+# GNU Guix --- Functional package management for GNU
+# Copyright © 2020 Morgan Smith <Morgan.J.Smith@HIDDEN>
+#
+# This file is part of GNU Guix.
+#
+# GNU Guix is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or (at
+# your option) any later version.
+#
+# GNU Guix is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with GNU Guix.  If not, see <http://www.gnu.org/licenses/>.
+
+export GUIX_LOCPATH=@localstatedir@/guix/profiles/per-user/root/guix-profile/lib/locale
+export LC_ALL=en_US.utf8
+command="@localstatedir@/guix/profiles/per-user/root/current-guix/bin/guix-daemon"
+command_args="--build-users-group=guixbuild"
+command_background="yes"
+pidfile="/var/run/guix-daemon.pid"
+
+output_log="/var/log/guix-daemon-stdout.log"
+error_log="/var/log/guix-daemon-stderr.log"
-- 
2.28.0





Information forwarded to guix-patches@HIDDEN:
bug#42816; Package guix-patches. Full text available.

Message received at 42816 <at> debbugs.gnu.org:


Received: (at 42816) by debbugs.gnu.org; 12 Aug 2020 03:39:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 11 23:39:48 2020
Received: from localhost ([127.0.0.1]:42478 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k5hc6-0001fp-Dh
	for submit <at> debbugs.gnu.org; Tue, 11 Aug 2020 23:39:48 -0400
Received: from mail-bn8nam11olkn2084.outbound.protection.outlook.com
 ([40.92.20.84]:25312 helo=NAM11-BN8-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Morgan.J.Smith@HIDDEN>) id 1k5hbz-0001fF-GF
 for 42816 <at> debbugs.gnu.org; Tue, 11 Aug 2020 23:39:39 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=I4HzNfGJX10wfJMppnjRAlzXC2CedjeynT5r81Plu8WKFl9ePXc+fhlfwZYvEcuc2KzKFJAeUnZTodL2Ku47r6QCWwRMfm8Jor6kph04AgttU/PH7hod5qtzNEI1lokkyg+g1+da1SIMUXhqA8H4Cbj/dIBdm+agIhXLHs0N+7pl2J6kW74XiIkgxUobEeOWo8TYIY+G9ugTieY1RkZla58CfDVzRwkSTP5YmW6Aw/rAGrQjsJHw9MEKY95xPbfIQsp63C8yYU8OUyha99l78dnVx9s9ehfBF4rNQavFXEld86U260O+h0qa3crZx2oQX9g1qk8M43APhHlKdRf1hw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=Cgcf/xMZXAycu7BjYQ4bIoyI7PRufIW0oz8MYJpMPr0=;
 b=jgOPLJSO6a2V7gcNLpE1q+fPpDotdexLbF6OehAYr8M4WdMajhjbjGwl0+hUKXaSvIj+nIaSN1pJQ+GQOOqFmhCAxnhC+RQq/En61HLbkWIqoVdbF77TXBITzg7qBcZBE9ZagsapKKE4L1FTVLv0cpzPU3W7asMfpTSUjseaIncze8U8hb2Mwm+L+YVn/FgCu+JRXbGv8ZrrITPpllhR6/rxyLu6bxmUggVvdEuIq+R0dMNEKdtKegaVWV0PDZweJZa4KRgdFCvD3x69Qa/9ZmIi3s8zmpyyH3YXtULgjmJB5sgF7svIS3Q/7jhe32aySfpPTumqpNjwmo003l/aIA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=Cgcf/xMZXAycu7BjYQ4bIoyI7PRufIW0oz8MYJpMPr0=;
 b=K7NRzpvtAKFISJTd0Kp+rRFscNVOXRz+ygCV2I/4agQM5sem9RNOnvI/8Jw+2Oq6aDErDH1lS2D8H1Rfzstw8RoTkjupQQCv3W2LFXiOD9mrxfzsBqkkAruGJFo9bpjg1PE5xEb8lR1iumUaSzRLe/oEKJElby+TRzOYY7WY1f2GdgfD8SBOMWbr6hnhf2u9SH+t8li2ZBJybevujoTEbKLzmNIDQPpbjZ8zcckEs8qlTmxOZ5HMNa/Oc1i1ubQeRKX3lh3lXaKERd8LHwTa791m7TbkIpWVzBout1s45T5McCdpss8aJMw/2JLBm2p8eNP4JSxupQOVC/o4wvLBGg==
Received: from BN8NAM11FT060.eop-nam11.prod.protection.outlook.com
 (2a01:111:e400:fc4b::4c) by
 BN8NAM11HT030.eop-nam11.prod.protection.outlook.com (2a01:111:e400:fc4b::268)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3261.16; Wed, 12 Aug
 2020 03:39:29 +0000
Received: from DM5PR1001MB2105.namprd10.prod.outlook.com
 (2a01:111:e400:fc4b::44) by BN8NAM11FT060.mail.protection.outlook.com
 (2a01:111:e400:fc4b::467) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3261.16 via Frontend
 Transport; Wed, 12 Aug 2020 03:39:29 +0000
X-IncomingTopHeaderMarker: OriginalChecksum:C8B25E9D97B9241EA33082C9E51C5AA3DC2817EAFFA3A53D11B6772C37308C32;
 UpperCasedChecksum:B027DCF5BA72BE2E17C54F2A38CD28D28BB2B8E6F1B30EBB7E91E16AB0DE52AE;
 SizeAsReceived:8747; Count:49
Received: from DM5PR1001MB2105.namprd10.prod.outlook.com
 ([fe80::cc1a:65a6:d74d:52f4]) by DM5PR1001MB2105.namprd10.prod.outlook.com
 ([fe80::cc1a:65a6:d74d:52f4%6]) with mapi id 15.20.3283.015; Wed, 12 Aug 2020
 03:39:29 +0000
From: Morgan.J.Smith@HIDDEN
To: me@HIDDEN
Subject: [PATCH 2/2] guix-install.sh: Add openrc support
Date: Tue, 11 Aug 2020 23:38:42 -0400
Message-ID: <DM5PR1001MB2105E73EB9EF88EF6BFAF513C5420@HIDDEN>
X-Mailer: git-send-email 2.28.0
In-Reply-To: <20200812033842.99352-1-Morgan.J.Smith@HIDDEN>
References: <87r1sc98m8.fsf@nckx>
 <20200812033842.99352-1-Morgan.J.Smith@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-ClientProxiedBy: YTOPR0101CA0009.CANPRD01.PROD.OUTLOOK.COM
 (2603:10b6:b00:15::22) To DM5PR1001MB2105.namprd10.prod.outlook.com
 (2603:10b6:4:2b::24)
X-Microsoft-Original-Message-ID: <20200812033842.99352-2-Morgan.J.Smith@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
Received: from workarch.localdomain (184.164.26.34) by
 YTOPR0101CA0009.CANPRD01.PROD.OUTLOOK.COM (2603:10b6:b00:15::22) with
 Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3283.15 via Frontend
 Transport; Wed, 12 Aug 2020 03:39:29 +0000
X-Mailer: git-send-email 2.28.0
X-Microsoft-Original-Message-ID: <20200812033842.99352-2-Morgan.J.Smith@HIDDEN>
X-TMN: [Mz8uFtMf0ZeK3xF42n9rQjFpr6TRFx1Y]
X-MS-PublicTrafficType: Email
X-IncomingHeaderCount: 49
X-EOPAttributedMessage: 0
X-MS-Office365-Filtering-Correlation-Id: d2146a96-8c8d-4b96-87a5-08d83e715199
X-MS-Exchange-SLBlob-MailProps: 79Jo46q8hhC0JQTTD4CjH08I0IOG8GQi3oZMaepxEZXqr0em3iMscBDlQvqC0RPubEsFdRkS7QaoIDiNmriA9CxobHqGjQEbmuOPgWaL6tLgIM9+09R/w+BJsvIatPspzi1HFJg9QzVOHc3VVt2edHRSkHISrBGQUl/Hyt3+jvjfi5syfZrhdjOUl3FAESwtyDL7xmIU6zhxRinayGDfSzeZn5PF6lcftXkdwNyiEXqIPH3OLAG3Wb21/W/lGPmev1pb3PvteTavLnq+Hq/O6AmZhmWa+37QfRd0I44rvHiO1hTe+VudzTh/WcB4Bxwl59YzroSfCqpAU/ZSlLyC9cBAl7row5q1tS4fz0uW5HF3PpGFSogvZNNDlIA7WFLwNkrHBbR1Q1sTSJ01Z0ywf8ByobFbbjkStnWVCJZVL5kebpEVvmWTWD2ynBGrx/glJc4hHfHH5ol+COpIc6z7vjftZGmwXBeHFg1FSU8cf4Tj1K6ABf0qWbrb59pKSVoecliHT2+07sYFUhsVSyhVc/n3S6smPh+e2kIDrf5VAIIUfqf0doDa0ADcv5NngJwoH8iTYVxkrKcwZ8v+armPrMxj9s/s5/MS7323wx4vgd4WeXAWoljM2FOYbZSgHAucRrORhrvd0bvEa7c9j6T2XnxzDhKF6Uvyoxb7tsA2qDgluWhTyIGFXOKdmUN2C6Uq
X-MS-TrafficTypeDiagnostic: BN8NAM11HT030:
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: moMED22OtPyvrY+vfwguJ4rWclMRcSHBRPrpYNfzhmbawpRg+gjK3MXK4I2AdqlrywhXsNMYbigPUqFdyzkdlZzR91BbcChPPKV2NCeWywRo0i7bEvAWsskMsTXc/EECVoz/YL8efF6neQmWacxkOI3/E+ZXH3ntUcQS+mtTJfQGlukrTlcZIBZWadLpheq0DvnQDh+rNvinFMs2AC6a8g==
X-Forefront-Antispam-Report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:0; SRV:;
 IPV:NLI; SFV:NSPM; H:DM5PR1001MB2105.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFTY:; SFS:; DIR:OUT; SFP:1901; 
X-MS-Exchange-AntiSpam-MessageData: TZzy0ywqTMr8nhparNvh88qBSdHB7Mbz5kYMTEa3TbjwmCtTAGEzg2TQhEZIdmritQzLJds0igsJUBFZaQd3MjT2VkMaaPHUaqbkemTrG8N0ktqHMFmBIPeOcdhilDUPNrry4JzGUbvpbOH34eRPPw==
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: d2146a96-8c8d-4b96-87a5-08d83e715199
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 12 Aug 2020 03:39:29.6656 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-AuthSource: BN8NAM11FT060.eop-nam11.prod.protection.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Anonymous
X-MS-Exchange-CrossTenant-FromEntityHeader: Internet
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BN8NAM11HT030
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 42816
Cc: Morgan Smith <Morgan.J.Smith@HIDDEN>, 42816 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Morgan Smith <Morgan.J.Smith@HIDDEN>

Tested and working on Alpine Linux 3.12.0-x86_64

* etc/guix-install.sh: Add openrc support
* etc/openrc/guix-daemon.in: New file - openrc service file
* nix/local.mk (etc/openrc/guix-daemon): New rule.
(nodist_openrcservice_DATA): Add etc/openrc/guix-daemon.in .
(CLEANFILES): Add etc/openrc/guix-daemon .
* .gitignore: Add etc/openrc/guix-daemon .
---

I'm pretty far out of comfort zone on these changes so please let me
know how this works. I basically guessed what needed to be changed in
local.mk.

---
 .gitignore          |  1 +
 etc/guix-install.sh | 15 +++++++++++++++
 nix/local.mk        | 17 +++++++++++++++--
 3 files changed, 31 insertions(+), 2 deletions(-)

diff --git a/.gitignore b/.gitignore
index f630444a0f..e2f745b42a 100644
--- a/.gitignore
+++ b/.gitignore
@@ -74,6 +74,7 @@
 /etc/guix-publish.conf
 /etc/guix-publish.service
 /etc/init.d/guix-daemon
+/etc/openrc/guix-daemon
 /guix-daemon
 /guix/config.scm
 /libformat.a
diff --git a/etc/guix-install.sh b/etc/guix-install.sh
index 06edbaaffd..ff4b95f124 100755
--- a/etc/guix-install.sh
+++ b/etc/guix-install.sh
@@ -4,6 +4,7 @@
 # Copyright © 2018 Ricardo Wurmus <rekado@HIDDEN>
 # Copyright © 2018 Efraim Flashner <efraim@HIDDEN>
 # Copyright © 2019, 2020 Tobias Geerinckx-Rice <me@HIDDEN>
+# Copyright © 2020 Morgan Smith <Morgan.J.Smith@HIDDEN>
 #
 # This file is part of GNU Guix.
 #
@@ -150,6 +151,10 @@ chk_init_sys()
         _msg "${INF}init system is: sysv-init"
         INIT_SYS="sysv-init"
         return 0
+    elif [[ $(openrc --version 2>/dev/null) =~ \(OpenRC\) ]]; then
+        _msg "${INF}init system is: OpenRC"
+        INIT_SYS="openrc"
+        return 0
     else
         INIT_SYS="NA"
         _err "${ERR}Init system could not be detected."
@@ -383,6 +388,16 @@ sys_enable_guix_daemon()
                   service guix-daemon start; } &&
                 _msg "${PAS}enabled Guix daemon via sysv"
             ;;
+        openrc)
+            { mkdir -p /etc/init.d;
+              cp "${ROOT_HOME}/.config/guix/current/etc/openrc/guix-daemon" \
+                 /etc/init.d/guix-daemon;
+              chmod 775 /etc/init.d/guix-daemon;
+
+              rc-update add guix-daemon default &&
+                  rc-service guix-daemon start; } &&
+                _msg "${PAS}enabled Guix daemon via OpenRC"
+            ;;
         NA|*)
             _msg "${ERR}unsupported init system; run the daemon manually:"
             echo "  ${ROOT_HOME}/.config/guix/current/bin/guix-daemon --build-users-group=guixbuild"
diff --git a/nix/local.mk b/nix/local.mk
index 005cde5563..2bb01041b9 100644
--- a/nix/local.mk
+++ b/nix/local.mk
@@ -180,6 +180,17 @@ etc/init.d/guix-daemon: etc/init.d/guix-daemon.in	\
 	       "$<" > "$@.tmp";		\
 	mv "$@.tmp" "$@"
 
+# The service script for openrc.
+openrcservicedir = $(sysconfdir)/init.d
+nodist_openrcservice_DATA = etc/openrc/guix-daemon
+
+etc/openrc/guix-daemon: etc/openrc/guix-daemon.in	\
+			 $(top_builddir)/config.status
+	$(AM_V_GEN)$(MKDIR_P) "`dirname $@`";	\
+	$(SED) -e 's|@''localstatedir''@|$(localstatedir)|' <	\
+	       "$<" > "$@.tmp";		\
+	mv "$@.tmp" "$@"
+
 # The '.conf' jobs for Upstart.
 upstartjobdir = $(libdir)/upstart/system
 nodist_upstartjob_DATA = etc/guix-daemon.conf etc/guix-publish.conf
@@ -194,7 +205,8 @@ etc/guix-%.conf: etc/guix-%.conf.in	\
 CLEANFILES +=					\
   $(nodist_systemdservice_DATA)			\
   $(nodist_upstartjob_DATA)			\
-  $(nodist_sysvinitservice_DATA)
+  $(nodist_sysvinitservice_DATA)		\
+  $(nodist_openrcservice_DATA)
 
 EXTRA_DIST +=					\
   %D%/AUTHORS					\
@@ -203,7 +215,8 @@ EXTRA_DIST +=					\
   etc/guix-daemon.conf.in			\
   etc/guix-publish.service.in			\
   etc/guix-publish.conf.in			\
-  etc/init.d/guix-daemon.in
+  etc/init.d/guix-daemon.in			\
+  etc/openrc/guix-daemon.in
 
 if CAN_RUN_TESTS
 
-- 
2.28.0





Information forwarded to guix-patches@HIDDEN:
bug#42816; Package guix-patches. Full text available.

Message received at 42816 <at> debbugs.gnu.org:


Received: (at 42816) by debbugs.gnu.org; 12 Aug 2020 03:39:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 11 23:39:39 2020
Received: from localhost ([127.0.0.1]:42476 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k5hc3-0001fY-2c
	for submit <at> debbugs.gnu.org; Tue, 11 Aug 2020 23:39:39 -0400
Received: from mail-co1nam11olkn2104.outbound.protection.outlook.com
 ([40.92.18.104]:40545 helo=NAM11-CO1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Morgan.J.Smith@HIDDEN>) id 1k5hc0-0001fE-0F
 for 42816 <at> debbugs.gnu.org; Tue, 11 Aug 2020 23:39:37 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=iGXFPVDYX9oxDyAgoiD5OGtlp4eNOoRQeD41CjZkZYkhLl8jof7Azy1jpyeeJyL2geapx+QKEMe6oI58hcFkpFWXBAA6lxwdRrguclV2Bdrvn221aOj8Famp0x752IaS9jU1uRPNNNXACTe85GZWjcYoYNwDDSeQTPNwiOvQyNBgYEAWI66xdppowI1Cd7W1GlsJ6GKWuqlWQbIf95u36INLEE6gLJyw8KL2L/r6ibOxJCuW6vogpgrcbQU6RyYTWmCB0/zbEhImJpjFXnMOEy+FO8KuqmijC/lTQZhGBjHyC2n7vBxUB6Tvq6UtRH2ZIDYSFLdehhyLeXHBxJ7p6w==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=vZo6d52hM9OuZZaMn3w5JnCrZjlpnA/bv9rVOS5eYQI=;
 b=jvFTwa4eIWzb5SvzUKpr5UNZ9K24ie7UTSsbaqFfsMyzVPp6T4bpsYoSUrmfJ7x3gLW1Gqzc89R+42k+lLIP4bRdiW5hPbFoW4KDazCxCnm9uYIFrvX8U48GP3O9b3jjef2duP4r2jaEzOKSDhlHLOJER2SZafF7fFhwAIo02XDv5EvH7p5e638elraaMg7IjUztAMeb//M/PWFN3rkIxxyLnmnuePPsNzukU5GFy1h0teDjTmyf67fPS1cH9lWHt11XQa0t+pPUjLENO8kRdi+VwqnMBvq92LbnvBZzG49FsOrREVXqbF8gVC/1VkXN+Tp0AuyUEADougcw5Udh4w==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=vZo6d52hM9OuZZaMn3w5JnCrZjlpnA/bv9rVOS5eYQI=;
 b=TyB3RLlXUlJlVwI9Fmuj3b7iH6dckOAiJEHAuEn+HkTzlQA8d3J3vwKRCblmCV8kQAJXWDjW/k6hr7Qyp/gftJqmQjCmr+XVpOM0+Y8wuIKkyX9f+Nt0tXCBYPNnnKrfjAtJ0CZJiU7NbUbyFeRKi5euO/lqarEXMkLRjICZ89S+qvAvhUSQ9op4kOfgQyYLBh47pFJpoaHyODQJlEIAvZLRqwBkr7m/VxEMFDz+jA9RFfpBRfJmIXDh22lLqJbuCDL7Pp5KHgQDTIX7sTtpwteBdk3OQLLVAoXv6HpdAbLjSWRpiFoZ6MxJIYAIQs0RUpMzfE2g0W8iLdR29RJzRg==
Received: from BN8NAM11FT060.eop-nam11.prod.protection.outlook.com
 (2a01:111:e400:fc4b::48) by
 BN8NAM11HT202.eop-nam11.prod.protection.outlook.com (2a01:111:e400:fc4b::306)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3261.16; Wed, 12 Aug
 2020 03:39:21 +0000
Received: from DM5PR1001MB2105.namprd10.prod.outlook.com
 (2a01:111:e400:fc4b::44) by BN8NAM11FT060.mail.protection.outlook.com
 (2a01:111:e400:fc4b::467) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3261.16 via Frontend
 Transport; Wed, 12 Aug 2020 03:39:21 +0000
X-IncomingTopHeaderMarker: OriginalChecksum:61E14F470DA1F4CFE32B0419A0E39BF93C0DFC097A5CEB316F7C19930BFA63C5;
 UpperCasedChecksum:5F2AD04321E02D45597C7B39E29E4C70F7E60EB55906951AD2112B9E5DDED46A;
 SizeAsReceived:7535; Count:49
Received: from DM5PR1001MB2105.namprd10.prod.outlook.com
 ([fe80::cc1a:65a6:d74d:52f4]) by DM5PR1001MB2105.namprd10.prod.outlook.com
 ([fe80::cc1a:65a6:d74d:52f4%6]) with mapi id 15.20.3283.015; Wed, 12 Aug 2020
 03:39:21 +0000
From: Morgan.J.Smith@HIDDEN
To: me@HIDDEN
Subject: [PATCH 1/2] guix-install.sh: Increase compatibility
Date: Tue, 11 Aug 2020 23:38:41 -0400
Message-ID: <DM5PR1001MB2105731ADDB371A895D7FCDDC5420@HIDDEN>
X-Mailer: git-send-email 2.28.0
In-Reply-To: <87r1sc98m8.fsf@nckx>
References: <87r1sc98m8.fsf@nckx>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-ClientProxiedBy: YTOPR0101CA0009.CANPRD01.PROD.OUTLOOK.COM
 (2603:10b6:b00:15::22) To DM5PR1001MB2105.namprd10.prod.outlook.com
 (2603:10b6:4:2b::24)
X-Microsoft-Original-Message-ID: <20200812033842.99352-1-Morgan.J.Smith@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
Received: from workarch.localdomain (184.164.26.34) by
 YTOPR0101CA0009.CANPRD01.PROD.OUTLOOK.COM (2603:10b6:b00:15::22) with
 Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3283.15 via Frontend
 Transport; Wed, 12 Aug 2020 03:39:20 +0000
X-Mailer: git-send-email 2.28.0
X-Microsoft-Original-Message-ID: <20200812033842.99352-1-Morgan.J.Smith@HIDDEN>
X-TMN: [wFjK68Zclxlx8qKvKRxqMRRWq42ZJJr4]
X-MS-PublicTrafficType: Email
X-IncomingHeaderCount: 49
X-EOPAttributedMessage: 0
X-MS-Office365-Filtering-Correlation-Id: 4cceeb06-bc9e-4df3-4c49-08d83e714c4a
X-MS-Exchange-SLBlob-MailProps: 79Jo46q8hhC0JQTTD4CjH08I0IOG8GQi+/h4BvnJH7bQ2OZFbaGAq5EFWWScoQYy+sBfg1nLHo7QSPdul0+pPLvS6dsuc7nHBv7y4ZaDlwfkouX6LGaWr+/3K36G0NjLdPgjqbzEJtvRMRQfiVrSQOmDCgaxqJRhLiXFubvBpNx9sjw6H/p/fkslSz/JQNYt71dWNCDD2z8ezwOu5XWNVedBbZYsaek87eoza1MbJd6G7lRd3i44o7wQstonMgCJfK1M2QvFKEp3ENt3hHWWjOwkZbvHpvHs4DrR0cvJrSXSwktrxLAWjqDEXjPM9C0eJrzCeScnGUYsTNmDlKU/yFnBEaVe01yvV0UjKQtzimiC62x9lavMfgLiFHYOW25QcyABHJFb4lA7MegubmrrQIlt4bqzNc/yNVewepxHtdm5CrZbbT2qEthsbsC+cq63yUO5pVGcve/MzwJC3x7sO7n3IyuCOG6uuuZXsbS1pYl0dTkiHpu/5rB9y61Rc1SG4FPTnAj+YNKKWaaV//ddzozToOUsXM2zlums0eg8Sb04B4ibWLahKI0gTMk1ZyelnYzfVrJgof/5y18nqI+NLFAIhqp8TCe3F4b+v227rmccZ5LmZKVWZ8VjVboc7rLdlshZLeubNGcOOX9EHb0Xt3F79HYPj4mWtNsPbKivyqiO2UXBoeRudaxT4a+bt6PZ
X-MS-TrafficTypeDiagnostic: BN8NAM11HT202:
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: fpl/Qw9m6JKZfVh/X+c4gZ6y+ctY58gkzxV/v6XQT+xTiygqRISmUCjxgNnI5TAhyid0PJ7De3KScrzAwYbqyvG0lpqCqoZPqYQVPkSG4hyQexrf4he8gk98qJ4NMc+n61Em2jUhxV/qDKuMzurPqfENm+Yk+bbQzQgEFsrUEyhOds+ky2ArhqkQ6hd3V9JSWTrUTRZk8/2g1EowI1UBrA==
X-Forefront-Antispam-Report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:0; SRV:;
 IPV:NLI; SFV:NSPM; H:DM5PR1001MB2105.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFTY:; SFS:; DIR:OUT; SFP:1901; 
X-MS-Exchange-AntiSpam-MessageData: AfPZCr5RdPWhqMr7xqzke70NzAVJcdUMeuphq+FrGSqaiGG+mIG0SXf4y4q2Jc7viVIhdeOYj0bewq4kPlmFzvIISyt90RynwUR9uwGvfjhKQ42I76TbrJUnTVS2iRsn7jrvfw9BowLLFUl0VG8pmg==
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 4cceeb06-bc9e-4df3-4c49-08d83e714c4a
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 12 Aug 2020 03:39:20.9556 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-AuthSource: BN8NAM11FT060.eop-nam11.prod.protection.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Anonymous
X-MS-Exchange-CrossTenant-FromEntityHeader: Internet
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BN8NAM11HT202
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 42816
Cc: Morgan Smith <Morgan.J.Smith@HIDDEN>, 42816 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Morgan Smith <Morgan.J.Smith@HIDDEN>

These fixes allow the script to be run using the binaries found on Alpine
Linux 3.12.0-x86_64.

* etc/guix-install.sh (guix_get_bin_list): Change grep to use extended regex
instead of perl regex. Grep using extended regex is POSIX while grep using
perl regex is not.

* etc/guix-install.sh (sys_create_store): Remove --warning flag as it is
unavailable on Alpine Linux
---

So for this change I had to learn perl regex. Then, once I understood
exactly what it did I recreated it from scratch not realizing that it
was almost the same as what was there before. I'm pretty sure there
are no differences between [[:digit:]] and [0-9], I just tend to use
[[:digit:]] because it's flashy

 etc/guix-install.sh | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/etc/guix-install.sh b/etc/guix-install.sh
index 72dc3839e8..06edbaaffd 100755
--- a/etc/guix-install.sh
+++ b/etc/guix-install.sh
@@ -212,7 +212,7 @@ guix_get_bin_list()
         | sort -Vu)")
 
     latest_ver="$(echo "$bin_ver_ls" \
-                       | grep -oP "([0-9]{1,2}\.){2}[0-9]{1,2}" \
+                       | grep -oE "([0-9]{1,2}\.){2}[0-9]{1,2}" \
                        | tail -n1)"
 
     default_ver="guix-binary-${latest_ver}.${ARCH_OS}"
@@ -268,8 +268,7 @@ sys_create_store()
     _debug "--- [ $FUNCNAME ] ---"
 
     cd "$tmp_path"
-    tar --warning=no-timestamp \
-        --extract \
+    tar --extract \
         --file "$pkg" &&
     _msg "${PAS}unpacked archive"
 
-- 
2.28.0





Information forwarded to guix-patches@HIDDEN:
bug#42816; Package guix-patches. Full text available.

Message received at 42816 <at> debbugs.gnu.org:


Received: (at 42816) by debbugs.gnu.org; 11 Aug 2020 21:27:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 11 17:27:01 2020
Received: from localhost ([127.0.0.1]:41901 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k5bnN-0008Hi-FO
	for submit <at> debbugs.gnu.org; Tue, 11 Aug 2020 17:27:01 -0400
Received: from tobias.gr ([80.241.217.52]:44746)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1k5bnI-0008HV-3s
 for 42816 <at> debbugs.gnu.org; Tue, 11 Aug 2020 17:26:56 -0400
Received: by tobias.gr (OpenSMTPD) with ESMTP id 3b2ba11a;
 Tue, 11 Aug 2020 21:27:12 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to:cc
 :subject:references:in-reply-to:date:message-id:mime-version
 :content-type; s=2018; i=me@HIDDEN; bh=6yA3vAM5Jowrh3+CtxhlIu
 8j1SWqxZ+upKy6ntbUfS4=; b=eM9Dv2SkJLGN7qCEEDhkRN6P3v7wErnzwhWErt
 N0adx0U35L07dNEXoaotetDkGE74PLhdlM/Z3Bkh9Ng3N3zTDTAhUru78JCdngmd
 fGv1xUTS4PYk0xR010VOWyUcpYSwhqrs45PKxubGqqPL59uKgpethVKbE6/l5lC8
 y/maGr0J1S3OAJIWTpo3/G55yrew1+SOmrNHJZsQeGD530FXPy12qpJcAnN8lRwJ
 MQSJyDKBoCqVHjvumehwVzrmRZNrjjbRru9UriW2KXO/QXFXnMv6ERM9aDqI4DLd
 YZRd9okXYuznQjYx6oWS9u/3BtYhfo46kBasoPZh3EaW6hGw==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 073bf6f0
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Tue, 11 Aug 2020 21:27:12 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Morgan.J.Smith@HIDDEN
Subject: Re: [bug#42816] [PATCH] guix-install.sh: Add support for openrc
References: <DM5PR1001MB2105C215AA5E05D4DAA5F64CC5450@HIDDEN>
In-reply-to: <DM5PR1001MB2105C215AA5E05D4DAA5F64CC5450@HIDDEN>
Date: Tue, 11 Aug 2020 23:26:55 +0200
Message-ID: <87r1sc98m8.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42816
Cc: 42816 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Morgan,

Morgan.J.Smith@HIDDEN =E5=86=99=E9=81=93=EF=BC=9A
> * etc/guix-install.sh: Add support for openrc

\o/ thanks!

> I also removed the --warning=3Dno-timestamp tar flag

My understanding was that this silenced a scary but harmless=20
warning from older (GNU?) tar versions.  I'm happy to see it go if=20
it actually breaks others.

> and changed grep to use
> extended regex instead of perl regex since these flags where not=20
> supported on
> the alpine linux image I was using to test (3.12.0-x86_64).

Both Alpine compatibility changes are very welcome but should be=20
in a separate commit.  Keep commits confined to one logical change=20
whenever possible.

> --- a/etc/guix-install.sh
> +++ b/etc/guix-install.sh
> @@ -150,6 +150,9 @@ chk_init_sys()
>          _msg "${INF}init system is: sysv-init"
>          INIT_SYS=3D"sysv-init"
>          return 0
> +    elif [[ $(openrc --version 2>/dev/null) =3D~ \(OpenRC\) ]];=20
> then

OK.  I didn't realise the script still had severe bashism.

> +        _msg "${INF}init system is: OpenRC"
> +        INIT_SYS=3D"openrc"

Add a =E2=80=98return 0=E2=80=99 line here for consistency with the rest of=
 the=20
code.

>      latest_ver=3D"$(echo "$bin_ver_ls" \
> -                       | grep -oP "([0-9]{1,2}\.){2}[0-9]{1,2}"=20
> \
> +                       | grep -oE=20
> "([[:digit:]]{1,2}\.){2}[[:digit:]]{1,2}" \

[[:digit:]] wasn't strictly required here, right?  I understand=20
that it's more =E2=80=98correct=E2=80=99 but can't imagine any locale actua=
lly=20
breaking either one.

Is there a practical chance that some ancient-but-supported grep=20
out there supports [0-9] but *not* [[:digit:]]?

If not: OK!

> @@ -384,6 +386,16 @@ sys_enable_guix_daemon()
>                    service guix-daemon start; } &&
>                  _msg "${PAS}enabled Guix daemon via sysv"
>              ;;
> +        openrc)
> +            { mkdir -p /etc/init.d;
> +              cp=20
> "${ROOT_HOME}/.config/guix/current/etc/openrc/guix-daemon" \
> +                 /etc/init.d/guix-daemon;
> +              chmod 775 /etc/init.d/guix-daemon;
> +
> +              rc-update add guix-daemon default &&
> +                  rc-service guix-daemon start;} &&
> +                _msg "${PAS}enabled Guix daemon via OpenRC"
> +            ;;

I'll defer to your expertise on the OpenRC incantations :-)

Minor nitpick: =E2=80=98; }=E2=80=99.

> diff --git a/etc/openrc/guix-daemon b/etc/openrc/guix-daemon

I like the subdirectory.

> new file mode 100644
> index 0000000000..436673f169
> --- /dev/null
> +++ b/etc/openrc/guix-daemon
> @@ -0,0 +1,11 @@
> +#!/sbin/openrc-run
> +
> +export=20
> GUIX_LOCPATH=3D/var/guix/profiles/per-user/root/guix-profile/lib/locale
> +export LC_ALL=3Den_US.utf8
> +command=3D"/var/guix/profiles/per-user/root/current-guix/bin/guix-daemon"
> +command_args=3D"--build-users-group=3Dguixbuild"
> +command_background=3D"yes"
> +pidfile=3D"/var/run/guix-daemon.pid"
> +
> +output_log=3D"/var/log/guix-daemon-stdout.log"
> +error_log=3D"/var/log/guix-daemon-stderr.log"

Please rename this to guix-daemon.in & add it to nix/local.mk so=20
we can use @localstatedir@ here.

If you could send a revised patch series it would be much=20
appreciated; otherwise I'll make the above changes when I get=20
around to it (...).

Thanks!

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYKAB0WIQT12iAyS4c9C3o4dnINsP+IT1VteQUCXzMNIAAKCRANsP+IT1Vt
eeTFAQDVbJp6mrFok0pbCCYy92hGtv08T0zY8pq4ikBHmHdOtwEApZWejNdqO1Xi
QyJfPpZHIkonY4uuzExMDdKaT0ma/Qw=
=fojb
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#42816; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Aug 2020 20:36:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 11 16:36:39 2020
Received: from localhost ([127.0.0.1]:41802 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k5b0g-00073G-V4
	for submit <at> debbugs.gnu.org; Tue, 11 Aug 2020 16:36:39 -0400
Received: from lists.gnu.org ([209.51.188.17]:49358)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Morgan.J.Smith@HIDDEN>) id 1k5b0e-000738-U1
 for submit <at> debbugs.gnu.org; Tue, 11 Aug 2020 16:36:37 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:47446)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <Morgan.J.Smith@HIDDEN>)
 id 1k5b0e-0006ei-Mo
 for guix-patches@HIDDEN; Tue, 11 Aug 2020 16:36:36 -0400
Received: from mail-dm3nam07olkn2085.outbound.protection.outlook.com
 ([40.92.43.85]:46368 helo=NAM02-DM3-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <Morgan.J.Smith@HIDDEN>)
 id 1k5b0c-0007D8-Sq
 for guix-patches@HIDDEN; Tue, 11 Aug 2020 16:36:36 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=ntZIX5SMq9ivU4PNpawHYwP9Dd1HfbcCnxg4DSu13bKBE8lFr0qhkTMCQGfG1vFbOymYb0zBLP0HlguazuVIHUkPQJORErZKmLHn5dn4dYSwt3GF3bPGbP5ItA7DFMqSqeBWDxN8tisoPUs/0fMstNYz2zDkKc2TFI6MTloGcX6ck3y/suhpcDOb9lKSOlPQ2eR1ADAnYitIfkgY0Y9+nerw97A741S/m4pzN44DTwkSAFW+rhul64gygHmgB6SMvrm5h0c31CqNanSSxDjWZXZ3yQcC7hXuHvagDzYsGfncHo9b5MS/h16cfEvSUCXlLXXZrRu947v3P52+6lCTGA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=7H7MGz+v9NIK+TdSvhBpeyYvmMoD5lN66s6LFb3Trg8=;
 b=R6u+OiQYtiVXt++/TRXEiVNG+6Au+5PceZcx0BP3xNR4Rzp97K7XSEz5Zsm+PzEHQcoGY8QrVoPE+XQGBnETLIt9iJkpJUYxfwcY2agN4p2Srt6Eyj4YMTbSz8CgjznJ4d+BAQegEbf/UTLA+xtsG+gdgMUbMLTB0Xtwg0pkT4BI251T43+e8qLHMDBb8MqCK/NE+tVTV0oVbgXt7pSQsR2KGs5dzNxnhfEqUjHEzek05cadq2BPB5vPgw/JZEWK5uSs2qoXHPoA/4gQpu3aiOTRzrGzB9DIRpAjV7gUAbWLUTH3jUcSW2pZHJKvU9Qg3NQ/BoXF5aS4l24DA65xJw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=7H7MGz+v9NIK+TdSvhBpeyYvmMoD5lN66s6LFb3Trg8=;
 b=oSQtSmNr/B/vR17ms8y+B6zK6LifUcaEIaYZN4tlWFWhSqkevQhEt3ghdGVYc9USyc1T7p9UwYCI0/fHMqak3OtIKRbuoSetnqJsgVwgeg3wj+IlaYIClnGHo2QgNhbkTEIQSSIMuR5e4LzMzzemWgQwqa49ZYg7vo1bf1gHXg+PnmS7lV1pBUV63Sx1KJ8+kEnmvCpMuqxdU2lC/tDlc8ool6eZdxooRFcU28JW62Y5jhP2VkNfeygNbO5Cog3FCXmrAfzuE9HakYtTzfmIls/qZGTXBnJunYT2OHivdaMNMHRp+VGDQCfYOiDDiSJKhWpD9q2IpeKmTmFFvbIz5w==
Received: from BL2NAM02FT043.eop-nam02.prod.protection.outlook.com
 (10.152.76.58) by BL2NAM02HT130.eop-nam02.prod.protection.outlook.com
 (10.152.76.106) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3261.19; Tue, 11 Aug
 2020 20:36:32 +0000
Received: from DM5PR1001MB2105.namprd10.prod.outlook.com
 (2a01:111:e400:7e46::4d) by BL2NAM02FT043.mail.protection.outlook.com
 (2a01:111:e400:7e46::351) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3261.19 via Frontend
 Transport; Tue, 11 Aug 2020 20:36:32 +0000
X-IncomingTopHeaderMarker: OriginalChecksum:88367A0DFA51DDB96C7C9511C6419B4BDFBB005201016D36ECEE4C436854E9BD;
 UpperCasedChecksum:667FF2E0B231611CF431BB62C9A908094777CBEF61208375C87897248790A7BD;
 SizeAsReceived:7409; Count:47
Received: from DM5PR1001MB2105.namprd10.prod.outlook.com
 ([fe80::cc1a:65a6:d74d:52f4]) by DM5PR1001MB2105.namprd10.prod.outlook.com
 ([fe80::cc1a:65a6:d74d:52f4%6]) with mapi id 15.20.3283.015; Tue, 11 Aug 2020
 20:36:32 +0000
From: Morgan.J.Smith@HIDDEN
To: guix-patches@HIDDEN
Subject: [PATCH] guix-install.sh: Add support for openrc
Date: Tue, 11 Aug 2020 16:36:17 -0400
Message-ID: <DM5PR1001MB2105C215AA5E05D4DAA5F64CC5450@HIDDEN>
X-Mailer: git-send-email 2.27.0
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-ClientProxiedBy: YQXPR01CA0088.CANPRD01.PROD.OUTLOOK.COM
 (2603:10b6:c00:41::17) To DM5PR1001MB2105.namprd10.prod.outlook.com
 (2603:10b6:4:2b::24)
X-Microsoft-Original-Message-ID: <20200811203617.11739-1-Morgan.J.Smith@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
Received: from workarch.localdomain (184.164.26.34) by
 YQXPR01CA0088.CANPRD01.PROD.OUTLOOK.COM (2603:10b6:c00:41::17) with Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.3283.15 via Frontend Transport; Tue, 11 Aug 2020 20:36:31 +0000
X-Mailer: git-send-email 2.27.0
X-Microsoft-Original-Message-ID: <20200811203617.11739-1-Morgan.J.Smith@HIDDEN>
X-TMN: [G3A3jh27hnelyHOCqYNNO4xE7jP3jtzJ]
X-MS-PublicTrafficType: Email
X-IncomingHeaderCount: 47
X-EOPAttributedMessage: 0
X-MS-Office365-Filtering-Correlation-Id: f93f450a-de71-4b02-08f9-08d83e363b66
X-MS-Exchange-SLBlob-MailProps: q+fD6XS3/UL2UDcFXhKBVFnJZ5FTblsjbVYgwBuewXSyBK9jYn5jyYmlvoZyjxonBKdPFiPYb4OG2+gDK7kEeierswmq1MOnhD1prrky1u5j0+MmJRWJh9xyL69P19XW6x/Ti27PypmN78smc4OC2S0gFa70Hw7SZ9am5OMCb0iPSMQbKgunBSKM6GYQ6oTIKHaEhP+xj4CC8P2NV6fxCRgzJx0U+UIOSuBA351XWnMiN4CL7d1uuBXJuc4M7MFv3FFBwAPki0Wrv7b/HU4tFLTMoZ4hcIOKnNu7u0nhd8SFCkcKYEF9/twIZkzLeygzIwBzsQFL9tdEB38AEQF7rxOM/tOG7l1L3oDgn9DS8DWfFVY7f7ugOezRfvtUFl3IFUQ1hr+uxcStktKCol3QCKD/aHoDy/s6B25vpGaClgRVVqd0pI+D6Zx/zeIgwAs7fbN36easrbxfPzxcBcFEdf3zFtmk9+kizbBmmy4Ry/zBQDFuNkug+zqnxNPPf4MsDC9s6v4FyqzE9e0ywnmNsVsJvwSsAVn/8V5F/IGF1bHH2wP7KiMW/84gMhhHPAKSQMiYt41lcR6TTpcuBYnaRtdgUVQnJW6zqDgtzDmfo9QDGS/Y9ETITyja1i4J0PeWvheJJTdE9/weINwUGEstKmQPbGzELEzvWhWhw76qNnbM3JGj/3KZ6mcas/yfsnRPeD/nqPCddD/BzhqpExQ1dg==
X-MS-TrafficTypeDiagnostic: BL2NAM02HT130:
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: jzzrJX0aem1gloiBHdxNruYcbJbXSqbmgVHqCNHKSnSYK8d/SNXJTnRi2AVt14FMjkslq6v29e3bHjaGzaswGmpW/alkfzLxvZ92kdn0Jc6r8tImXT7jFrGFtYpWSVvxZ81TvdabIdvn72jYzdSJfvrdyWW8wHU6TEpLr7ae0Xlkf5fIU71lWEwPJ9qUvhUwlMb1xeE2E00rGaG/FTnkYg==
X-Forefront-Antispam-Report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:0; SRV:;
 IPV:NLI; SFV:NSPM; H:DM5PR1001MB2105.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFTY:; SFS:; DIR:OUT; SFP:1901; 
X-MS-Exchange-AntiSpam-MessageData: KkuP9SAnW5ZhkEbh+vAetEf6uGByN65tW0N08IAOeRmnstXJNAHbofXLfUJVde4TE3f41gdKmByYHLZ+GhKoHGhzaJTzqXFFP6oV93dX4jRh+7kvrGo3ZH4teHcFa6tWb/n1IoeCzTwC8oQfF2KB5A==
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: f93f450a-de71-4b02-08f9-08d83e363b66
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 11 Aug 2020 20:36:32.1242 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-AuthSource: BL2NAM02FT043.eop-nam02.prod.protection.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Anonymous
X-MS-Exchange-CrossTenant-FromEntityHeader: Internet
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BL2NAM02HT130
Received-SPF: pass client-ip=40.92.43.85;
 envelope-from=Morgan.J.Smith@HIDDEN;
 helo=NAM02-DM3-obe.outbound.protection.outlook.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/08/11 16:36:32
X-ACL-Warn: Detected OS   = Windows NT kernel [generic] [fuzzy]
X-Spam_score_int: -30
X-Spam_score: -3.1
X-Spam_bar: ---
X-Spam_report: (-3.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 MSGID_FROM_MTA_HEADER=0.001, RCVD_IN_MSPIKE_H2=-1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, URIBL_BLOCKED=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: submit
Cc: Morgan Smith <Morgan.J.Smith@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

From: Morgan Smith <Morgan.J.Smith@HIDDEN>

* etc/guix-install.sh: Add support for openrc

I also removed the --warning=no-timestamp tar flag and changed grep to use
extended regex instead of perl regex since these flags where not supported on
the alpine linux image I was using to test (3.12.0-x86_64).
---
 etc/guix-install.sh    | 18 +++++++++++++++---
 etc/openrc/guix-daemon | 11 +++++++++++
 2 files changed, 26 insertions(+), 3 deletions(-)
 create mode 100644 etc/openrc/guix-daemon

diff --git a/etc/guix-install.sh b/etc/guix-install.sh
index 72dc3839e8..9e9f8470d8 100755
--- a/etc/guix-install.sh
+++ b/etc/guix-install.sh
@@ -150,6 +150,9 @@ chk_init_sys()
         _msg "${INF}init system is: sysv-init"
         INIT_SYS="sysv-init"
         return 0
+    elif [[ $(openrc --version 2>/dev/null) =~ \(OpenRC\) ]]; then
+        _msg "${INF}init system is: OpenRC"
+        INIT_SYS="openrc"
     else
         INIT_SYS="NA"
         _err "${ERR}Init system could not be detected."
@@ -212,7 +215,7 @@ guix_get_bin_list()
         | sort -Vu)")
 
     latest_ver="$(echo "$bin_ver_ls" \
-                       | grep -oP "([0-9]{1,2}\.){2}[0-9]{1,2}" \
+                       | grep -oE "([[:digit:]]{1,2}\.){2}[[:digit:]]{1,2}" \
                        | tail -n1)"
 
     default_ver="guix-binary-${latest_ver}.${ARCH_OS}"
@@ -268,8 +271,7 @@ sys_create_store()
     _debug "--- [ $FUNCNAME ] ---"
 
     cd "$tmp_path"
-    tar --warning=no-timestamp \
-        --extract \
+    tar --extract \
         --file "$pkg" &&
     _msg "${PAS}unpacked archive"
 
@@ -384,6 +386,16 @@ sys_enable_guix_daemon()
                   service guix-daemon start; } &&
                 _msg "${PAS}enabled Guix daemon via sysv"
             ;;
+        openrc)
+            { mkdir -p /etc/init.d;
+              cp "${ROOT_HOME}/.config/guix/current/etc/openrc/guix-daemon" \
+                 /etc/init.d/guix-daemon;
+              chmod 775 /etc/init.d/guix-daemon;
+
+              rc-update add guix-daemon default &&
+                  rc-service guix-daemon start;} &&
+                _msg "${PAS}enabled Guix daemon via OpenRC"
+            ;;
         NA|*)
             _msg "${ERR}unsupported init system; run the daemon manually:"
             echo "  ${ROOT_HOME}/.config/guix/current/bin/guix-daemon --build-users-group=guixbuild"
diff --git a/etc/openrc/guix-daemon b/etc/openrc/guix-daemon
new file mode 100644
index 0000000000..436673f169
--- /dev/null
+++ b/etc/openrc/guix-daemon
@@ -0,0 +1,11 @@
+#!/sbin/openrc-run
+
+export GUIX_LOCPATH=/var/guix/profiles/per-user/root/guix-profile/lib/locale
+export LC_ALL=en_US.utf8
+command="/var/guix/profiles/per-user/root/current-guix/bin/guix-daemon"
+command_args="--build-users-group=guixbuild"
+command_background="yes"
+pidfile="/var/run/guix-daemon.pid"
+
+output_log="/var/log/guix-daemon-stdout.log"
+error_log="/var/log/guix-daemon-stderr.log"
-- 
2.27.0





Acknowledgement sent to Morgan.J.Smith@HIDDEN:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#42816; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 19 Sep 2020 20:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.